from glob import globs
from helpfuncs import bitdecoding

N = globs["size"] 


if globs['split'] == 1: # splitting based on horn set
   from hornsplit import hsplit as split

rels = []
for (size, splitlist) in split:
   if size == 1:
      rels.append(splitlist[0])

mapping = []
for i in xrange(1,(2**N)):
   bag = []
   for j in rels:
      if i&j==i:
         bag.append(j)
   
   choice = min([(len(bitdecoding(b)),b) for b in bag])[-1]
   mapping.append(choice)
