from glob import globs
from vbweights import w
from collections import deque
from bitcoding import B_dict
from mapping import mapping

cardmult = max(w)
DALL = B_dict['DALL']
mrv_variables = set([])
               
def initialize_mrv_vars(ConMatrix, neighbors, fill):
    mrv_variables.clear()
    Vars = len(ConMatrix)
    map(add_var,[(i,j) for (i,j) in fill if (ConMatrix[i][j] != DALL) and (neighbors[i] & neighbors[j]) and (mapping[ConMatrix[i][j]-1] & ConMatrix[i][j] != mapping[ConMatrix[i][j]-1])])

def add_var(var):
    'Add a new var'
    mrv_variables.add(var)
          
def remove_var(var):
    'Remove a var. Raise KeyError if empty.'
    mrv_variables.discard(var)
